> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Task Settings

> Get or create the org-level task settings.



## OpenAPI

````yaml get /task/setting
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /task/setting:
    get:
      tags:
        - Tasks
      summary: Get Task Settings
      description: Get or create the org-level task settings.
      operationId: get_task_settings_task_setting_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TaskSettingResponse'
components:
  schemas:
    TaskSettingResponse:
      properties:
        suppressTaskNotifications:
          type: boolean
          title: Suppresstasknotifications
        completedTaskRetentionDays:
          type: integer
          title: Completedtaskretentiondays
        defaultTaskFilter:
          $ref: '#/components/schemas/TaskDefaultFilter'
        assignmentStrategy:
          $ref: '#/components/schemas/TaskAssignmentStrategy'
        respectShifts:
          type: boolean
          title: Respectshifts
      type: object
      required:
        - suppressTaskNotifications
        - completedTaskRetentionDays
        - defaultTaskFilter
        - assignmentStrategy
        - respectShifts
      title: TaskSettingResponse
    TaskDefaultFilter:
      type: string
      enum:
        - ASSIGNED_TO_ME
        - SUBSCRIBED_TO
        - USER_CHOICE
      title: TaskDefaultFilter
    TaskAssignmentStrategy:
      type: string
      enum:
        - PATIENT_INTERACTION
        - ROUND_ROBIN
        - NONE
      title: TaskAssignmentStrategy

````